# Verify a device fingerprint

Verifies a device fingerprint challenge when calling a SCA-secured endpoint. Make sure to create a device fingerprint before using this endpoint.

The request and response are encrypted using the JOSE framework. Please refer to the SCA over API guide to understand how encryption and decryption work.

Endpoint: POST /v2/profiles/{profileId}/device-fingerprints/verify
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

## Header parameters:

  - `One-Time-Token` (string, required)
    A one-time token unique identifier.

  - `Accept` (string, required)

  - `Accept-Encoding` (string, required)

  - `Content-Encoding` (string, required)

  - `X-tw-jose-method` (string, required)

## Response 200 fields (application/json):

  - `oneTimeToken` (string)
    A one-time token unique identifier.
    Example: "5932d5b5-ec13-452f-8688-308feade7834"

  - `challenges` (array)
    An array of challenges.

  - `challenges.primaryChallenge` (object)

  - `challenges.primaryChallenge.type` (string)
    A type of challenge.
    Example: "PIN"

  - `challenges.passed` (boolean)
    The status of a challenge.

  - `validity` (integer)
    The One-Time Token expiration in seconds.
    Example: 3600


## Response 400 fields

## Response 404 fields
